NI-DAQmx and LabVIEW NXG Compatibility

Publish Date: Mar 06, 2018 | 0 Ratings | 0.00 out of 5 | Print


This page shows supported versions of the NI-DAQmx hardware driver with support for LabVIEW NXG Development System. Reference this information to ensure you install the correct version when upgrading or updating your system or software. Using incompatible versions may result in errors, missing LabVIEW palettes or functions, or devices and tasks failing to show up in NI Measurement & Automation Explorer (MAX) or the Hardware tab of LabVIEW NXG.

Table of Contents

  1. NI-DAQmx Compatibility: Upgrading
  2. NI-DAQmx and LabVIEW NXG Compatibility Table
  3. Additional Resources   

1. NI-DAQmx Compatibility: Upgrading

The releases of DAQmx that do not add LabVIEW NXG support will not break or inhibit the previous DAQmx support for LabVIEW NXG that was installed. DAQmx runtimes will be upgraded, but will not upgrade or add new hardware features or support. For example, a system with LabVIEW NXG 1.0 can upgrade to DAQmx 17.1, but will not be able to use the PXIe-4309 in LabVIEW NXG 1.0 since hardware support was added in DAQmx 17.1.


Back to Top

2. NI-DAQmx and LabVIEW NXG Compatibility Table

Please refer to this document for compatibility of NI-DAQmx and LabVIEW.

Use this table to compare versions of NI-DAQmx to compatible versions of LabVIEW NXG
NI‑DAQmx Version LabVIEW NXG Version
1.0 2.0

  Fully Compatible Version
  No Additional NXG ADE Support
  Not Supported


Back to Top

3. Additional Resources   

Back to Top

Bookmark & Share


Rate this document

Answered Your Question?
Yes No